<?
error_reporting(0); 
class dbClass{ //开始数据库类
var $lianjie;
var $result;

	function dbClass($cfg_dbuser,$cfg_dbpwd,$cfg_dbname,$cfg_dbhost="localhost"){  //构造函数
		$this->adminname=$cfg_dbuser;
		$this->password=$cfg_dbpwd;
		$this->database=$cfg_dbname;
		$this->hostname=$cfg_dbhost;
		$this->connect();
		$this->select();
	}
	function connect(){ 
		//这个函数用于连接数据库
		$this->lianjie=mysql_connect($this->hostname,$this->adminname,$this->password) or die("Sorry,can not connect to database");
		$qry = mysql_query("SET NAMES 'UTF-8'") or startUpError('SET NAMES Error.'); 
		return $this->lianjie;
	}
	function select(){ 
		//这个函数用于选择数据库
		mysql_select_db($this->database,$this->lianjie);
	}

	function query($sql){ 
		//这个函数用于送出查询语句并返回结果，常用。
		if($this->result=mysql_query($sql,$this->lianjie)){
		   return $this->result;
		}else {
		// 这里是显示SQL语句的错误信息，主要是设计阶段用于提示。正式运行阶段可将下面这句注释掉。
		//echo "SQL语句错误： <font color=red>$sql</font> <BR><BR>错误信息： ".mysql_error();
		 return false;
		}
	}

	function fetch_array($result){
		return @mysql_fetch_array($result);
	}

	function getfirst($sql){
		return @mysql_fetch_array($this->query($sql));
	}
	
	function getcount($sql){
		return @mysql_num_rows($this->query($sql)); 
	}
	
	function getid(){ 
		return mysql_insert_id();
	}
	
	function close(){
		return mysql_close();
	}
}
?> 